Extending Qt Creator Manual | IExternalEditor

Extending Qt Creator Manual 4.5.2

# IExternalEditor Class

(Core::IExternalEditor)

The IExternalEditor class enables registering an external editor in the Open With dialog. More...

Header: | #include <IExternalEditor>

- List of all members, including inherited members

## Public Functions

virtual QString | displayName() const = 0
virtual Id | id() const = 0
virtual QStringList | mimeTypes() const = 0
virtual bool | startEditor(const QString &fileName, QString *errorMessage) = 0

## Detailed Description

The IExternalEditor class enables registering an external editor in the Open With dialog.

## Member Function Documentation

### `[pure virtual]` QString IExternalEditor::displayName() const

### `[pure virtual]` Id IExternalEditor::id() const

### `[pure virtual]` QStringList IExternalEditor::mimeTypes() const

Returns the mime type the editor supports

### `[pure virtual]` bool IExternalEditor::startEditor(const QString &fileName, QString *errorMessage)

Opens the editor with fileName. Returns `true` on success or `false` on failure along with the error in errorMessage.